## mfx-dispatch 1.21

=== CMakeLists.txt ===
project( libmfx )

# FIXME Adds support for using system/other install of intel media sdk
find_path ( INTELMEDIASDK_PATH mfx/mfxvideo.h
  HINTS "${CMAKE_SOURCE_DIR}"
)

if (INTELMEDIASDK_PATH_NOTFOUND)
  message( FATAL_ERROR "Intel MEDIA SDK include not found" )
else (INTELMEDIASDK_PATH_NOTFOUND)
  message(STATUS "Intel Media SDK is here: ${INTELMEDIASDK_PATH}")
endif (INTELMEDIASDK_PATH_NOTFOUND)


set(SOURCES
  src/main.cpp
  src/mfx_dispatcher.cpp
  src/mfx_dispatcher_log.cpp
  src/mfx_function_table.cpp
)

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
  add_definitions(-fPIC)
  list(APPEND SOURCES
    src/mfx_library_iterator_linux.cpp
    src/mfx_load_dll_linux.cpp
    src/mfx_critical_section_linux.cpp
  )
endif (CMAKE_SYSTEM_NAME MATCHES "Linux")

if (CMAKE_SYSTEM_NAME MATCHES "Windows")
  add_definitions(-DWIN32)
  list(APPEND SOURCES
    src/mfx_critical_section.cpp
    src/mfx_dxva2_device.cpp
    src/mfx_library_iterator.cpp
    src/mfx_load_dll.cpp
    src/mfx_load_plugin.cpp
    src/mfx_plugin_hive.cpp
    src/mfx_win_reg_key.cpp
  )
endif (CMAKE_SYSTEM_NAME MATCHES "Windows")

include_directories(
  ${INTELMEDIASDK_PATH}
  ${INTELMEDIASDK_PATH}/mfx
)

add_definitions(
  -DMFX_VA
  -D_LIB
)

configure_file (${CMAKE_SOURCE_DIR}/libmfx.pc.cmake ${CMAKE_BINARY_DIR}/libmfx.pc @ONLY)

add_library( mfx STATIC ${SOURCES} )
file(GLOB MFX_HEADERS "${CMAKE_SOURCE_DIR}/mfx/*.h")
install (FILES ${MFX_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
install (FILES ${CMAKE_BINARY_DIR}/libmfx.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
install (TARGETS mfx ARCHIVE DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
cmake_minimum_required(VERSION 2.6)

=== debian/changelog ===
mfx-dispatch (1.21-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Remove dmo branding.
  * Remove quilt from B-D and rules; it's not used.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Apr 2018 17:11:19 -0700

mfx-dispatch-dmo (1.21-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Mar 2017 08:09:22 +0100

mfx-dispatch-dmo (1.19-dmo3) unstable; urgency=medium

  * Add multi-arch support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Oct 2016 14:05:29 +0200

mfx-dispatch-dmo (1.19-dmo2) unstable; urgency=medium

  * Change architecture to amd64 i386

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Oct 2016 08:23:13 +0200

mfx-dispatch-dmo (1.19-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Oct 2016 18:40:52 +0200

=== debian/control ===
Source: mfx-dispatch
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/lu-zero/mfx_dispatch
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libva-dev, pkg-config

Package: libmfx0
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel media sdk dispatcher - runtime files
 Hardware accelerated decode and encode using Intel® Quick Sync Video
 technology on Intel processors with Intel® HD Graphics, Intel® Iris™ and
 Intel® Iris™ Pro graphics or better.
 .
 Can handle HEVC, AVC, MPEG-2, VP9, VC-1, MVC and JPEG playback and encode.

Package: libmfx-dev
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libmfx0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libva-dev
Description: Intel media sdk dispatcher - devel files
 Hardware accelerated decode and encode using Intel® Quick Sync Video
 technology on Intel processors with Intel® HD Graphics, Intel® Iris™ and
 Intel® Iris™ Pro graphics or better.
 .
 Can handle HEVC, AVC, MPEG-2, VP9, VC-1, MVC and JPEG playback and encode.

=== debian/watch ===
version=4

https://github.com/lu-zero/mfx_dispatch/releases \
.*/(.*)\.tar\.gz
